org.apache.solr.common.cloud

## Class SolrZooKeeper

- java.lang.Object
- - org.apache.zookeeper.ZooKeeper
  - - org.apache.solr.common.cloud.SolrZooKeeper

-     public class SolrZooKeeper
      extends org.apache.zookeeper.ZooKeeper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.zookeeper.ZooKeeper

      `org.apache.zookeeper.ZooKeeper.States`

  - ### Field Summary

    - ### Fields inherited from class org.apache.zookeeper.ZooKeeper

      `cnxn, ZOOKEEPER_CLIENT_CNXN_SOCKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrZooKeeper(String connectString, int sessionTimeout, org.apache.zookeeper.Watcher watcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `closeCnxn()`
    `org.apache.zookeeper.ClientCnxn` | `getConnection()`
    `SocketAddress` | `getSocketAddress()`

    - ### Methods inherited from class org.apache.zookeeper.ZooKeeper

      `addAuthInfo, create, create, delete, delete, exists, exists, exists, exists, getACL, getACL, getChildren, getChildren, getChildren, getChildren, getChildren, getChildren, getChildren, getChildren, getData, getData, getData, getData, getSaslClient, getSessionId, getSessionPasswd, getSessionTimeout, getState, multi, multiInternal, register, setACL, setACL, setData, setData, sync, testableLocalSocketAddress, testableRemoteSocketAddress, testableWaitForShutdown, toString, transaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrZooKeeper

          public SolrZooKeeper(String connectString,
                               int sessionTimeout,
                               org.apache.zookeeper.Watcher watcher)
                        throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getConnection

          public org.apache.zookeeper.ClientCnxn getConnection()

    - #### getSocketAddress

          public SocketAddress getSocketAddress()

    - #### closeCnxn

          public void closeCnxn()

    - #### close

          public void close()
                     throws InterruptedException

      Overrides:
        `close` in class `org.apache.zookeeper.ZooKeeper`
      Throws:
        `InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.